Bug 13605 - errors during boot
errors during boot
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Winston rc1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-08 16:19 EDT by Gene Czarcinski
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-05 09:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-07-08 16:19:17 EDT
I created a beta3 system with gnome, kde, etc.  My hardware has a Promise
ide adapter and a Maxstor 20GB drive at "hde".

The "error" message I get on Beta3 (which is neither /var/log/messages nor
dmesg) is:
Setting hard drive parameters for hde
Hint ... invalid IO or IRQ parameters.

This appears to be generated by hdparm which is invoked during bootup by
/etc/rc.sysinit.

These "hint" messages are not generated on 6.2 or for my other disks.

/proc/ide/hdc/settings from beta3:

name			value		min		max		mode
----			-----		---		---		----
bios_cyl                1027            0               65535           rw
bios_head               255             0               255             rw
bios_sect               63              0               63              rw
breada_readahead        4               0               127             rw
bswap                   0               0               1               r
file_readahead          124             0               2097151         rw
io_32bit                3               0               3               rw
keepsettings            0               0               1               rw
max_kb_per_request      64              1               127             rw
multcount               0               0               8               rw
nice1                   1               0               1               rw
nowerr                  0               0               1               rw
pio_mode                write-only      0               255             w
slow                    0               0               1               rw
unmaskirq               0               0               1               rw
using_dma               0               0               1               rw
--------------------------------------------------------------------------
6.2 - beta3 diff:
--- hdc-6.2	Sat Jul  8 16:08:34 2000
+++ hdc-beta3	Sat Jul  8 15:36:17 2000
@@ -6,7 +6,7 @@
 breada_readahead        4               0               127             rw
 bswap                   0               0               1               r
 file_readahead          124             0               2097151         rw
-io_32bit                0               0               3               rw
+io_32bit                3               0               3               rw
 keepsettings            0               0               1               rw
 max_kb_per_request      64              1               127             rw
 multcount               0               0               8               rw
-------------------------------------------------

beta3 /proc/ide/hde/settings (which get the error msg):
name			value		min		max		mode
----			-----		---		---		----
bios_cyl                39566           0               65535           rw
bios_head               16              0               255             rw
bios_sect               63              0               63              rw
breada_readahead        4            0               127             rw
bswap                   0               0               1               r
file_readahead          124             0               2097151         rw
io_32bit                3               0               3               rw
keepsettings            0               0               1               rw
max_kb_per_request      64              1               127             rw
multcount               0               0               8               rw
nice1                   1               0               1               rw
nowerr                  0               0               1               rw
pio_mode                write-only      0               255             w
slow                    0               0               1               rw
unmaskirq               0               0               1               rw
using_dma               0               0               1               rw
--------------------------------------------------------------------------

6.2 - beta3 diff:

--- hde-6.2	Sat Jul  8 16:08:48 2000
+++ hde-beta3	Sat Jul  8 15:36:30 2000
@@ -6,7 +6,7 @@
 breada_readahead        4               0               127             rw
 bswap                   0               0               1               r
 file_readahead          124             0               2097151         rw
-io_32bit                0               0               3               rw
+io_32bit                3               0               3               rw
 keepsettings            0               0               1               rw
 max_kb_per_request      64              1               127             rw
 multcount               0               0               8               rw
-------------------------------------------------------------------
Comment 1 Bernhard Rosenkraenzer 2000-07-17 07:31:32 EDT
Do you get the same errors when running hdparm manually?
Comment 2 Gene Czarcinski 2000-07-18 04:20:20 EDT
No.

I ran hdparm manually on hda and hde with "no" parameters and with "-q -c3 -A1"
which I got from examining /etc/rc.sysinit and /etc/sysconfig/harddisks.

The only message I got was "setting drive read-lookahead to 1 (on)" which was
the same in both cases.

The only "strangeness" was that the disk on the promise card does not use LBA
and has a geometry of 39566/16/63.
Comment 3 Bernhard Rosenkraenzer 2000-07-19 13:09:32 EDT
Then it's a problem with the way it's invoked in the init scripts; reassigning
Comment 4 Glen Foster 2000-07-30 18:36:36 EDT
This defect is considered MUST-FIX for Winston Release-Candidate #1
Comment 5 Gene Czarcinski 2000-07-31 03:24:38 EDT
I took a look for this problem in pinstripe.  Something has changed but I am not
sure that the bug is fixed.  One of the problems is trying to spot this while
the messages flash by on the screen.  I appear to be still getting the "Hint ...
IO or IRQ ..." message but I am not sure it is following a "Setting hard drive
parameters for hde" message.  IN fact, I believe I did not see any "Setting hard
drive ..." messages.

I wish there was some way to slow up or capture these messages someplace.

Gene C.
Comment 6 Bill Nottingham 2000-07-31 10:37:09 EDT
They should show up in /var/log/boot.log. If they don't
that's another bug. :(
Comment 7 Gene Czarcinski 2000-08-01 06:52:00 EDT
The "hints" message do NOT show up in /var/log/boot.log under with beta3 or
beta5.

Under beta3, I get these "hint" messages after the "Setting hard drive
parameters ..." messages (which do appear in boot.log.

Under beta5 (pinstript), there are NO "Setting hard drive ..." messages in
boot.log or on the screen.  The "hints" messages show up on the screen only.
Comment 8 Gene Czarcinski 2000-08-01 07:19:57 EDT
I now conclude that the "Hint" messages have NOTHING to do with the Promise
controller -- they are issued by "insmod" (found with the strings command).

This has something to do with loading/installing some module.  I will look/test
further later today or tonight.

If the insmod-generated message is not in boot.log, is this an error?

Gene
Comment 9 Bill Nottingham 2000-08-01 16:25:03 EDT
What does lspci -v say?  This is probably an error when
it goes to try and initialize the USB controller.
Comment 10 Tim Waugh 2000-08-03 10:28:21 EDT
Also, what's in /etc/modules.conf?
Comment 11 Gene Czarcinski 2000-08-05 09:17:30 EDT
As built by the install process (anaconda):

alias scsi_hostadapter ncr53c8xx
alias eth0 3c59x
alias parport_lowlevel parport_pc
alias sound-slot-0 es1370
alias usb-controller uhci
Comment 12 Gene Czarcinski 2000-08-05 17:10:16 EDT
OK, I have found the problem and it concerns the usb support shich is new.

1.  My motherboard has a usb controller but is disabled as much as possible to
"save" the IRQs.  I do not currently have any usb peripherals.

2. The two error messages result from the modprobe issued at lines 153 and 165
in /etc/rc.d/rc.sysinit.  I "instrumented" /etc/rc.d/rc.sysinit by putting some
"echo" commands in and they nailed it.

3.  I am closing this bug as NOTABUG but I am openin a new bug against
initscripts:  I tried to put "nousb" into /proc/cmdline but it has no effect
initscripts.

Note You need to log in before you can comment on or make changes to this bug.